#
# spec file for package ghc-uuid
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name uuid
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.3.13
Release:        9.7
Summary:        For creating, comparing, parsing and printing Universally Unique Identifiers
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cryptohash-md5-devel
BuildRequires:  ghc-cryptohash-sha1-devel
BuildRequires:  ghc-entropy-devel
BuildRequires:  ghc-network-info-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-uuid-types-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
This library is useful for creating, comparing, parsing and printing
Universally Unique Identifiers.

See <http://en.wikipedia.org/wiki/UUID> for the general idea.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGES.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon May 22 2017 psimons@suse.com
- Update to version 1.3.13 revision 1 with cabal2obs.
* Mon Dec 19 2016 psimons@suse.com
- Update to version 1.3.13 with cabal2obs.
* Sun Dec 18 2016 psimons@suse.com
- Update to version 1.3.12 revision 3 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.3.12 revision 2 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.3.12 revision 1 with cabal2obs.
* Sun Apr  3 2016 mimi.vx@gmail.com
- update to 1.3.12
  * Use `cryptonite` for crypto
  * The function `V4.nextRandom` is now implemented with functions from
  `Crypto.Random` in package `cryptonite`. This does slow-down random
  UUID generation but provides for far greater randomness. The
  `Random` instance for `UUID` can be used to re-gain the old behavior.
* Mon Dec  7 2015 mimi.vx@gmail.com
- initial commit
